// GlobalView.h

#include <afxcmn.h>

#define SPELL	0
#define BOOK	1

class CGlobalViewDialog: public CDialog
{
private:
	CTreeCtrl m_Tree;
	int m_Caller;
public:
	CStringArray m_Caster;
	CGlobalViewDialog( int caller, CWnd * pWnd=NULL){Create(IDD_GLOBAL_VIEW, pWnd); m_Caller=caller;};
	virtual BOOL OnInitDialog();
	void SetTree(CStringArray&);
	virtual void OnCancel();
protected:
	afx_msg void OnViewSpellClick(NMHDR *, LRESULT *);
	virtual void DoDataExchange(CDataExchange *pDX);
	afx_msg void OnDestroy();
	virtual void PostNcDestroy();
	afx_msg void OnAddSpell();
	DECLARE_MESSAGE_MAP()
};